6.0.0-git
2021-01-18

[#12910] PHP Fatal Error using LDAP Account backend
Summary PHP Fatal Error using LDAP Account backend
Queue Horde Groupware
Queue Version 5.1.3
Type Bug
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester thomas.michel (at) vermessung-michel (dot) de
Created 2014-01-09 (2566 days ago)
Due
Updated 2014-03-22 (2494 days ago)
Assigned
Resolved 2014-03-22 (2494 days ago)
Milestone
Patch No

History
2014-03-22 13:12:13 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
 
2014-03-22 13:11:41 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_1):

commit 4ab34a3e759eb1ff51fd58e602e3fffd912bc3d2
Author: Jan Schneider <jan@horde.org>
Date:   Sat Mar 22 14:11:19 2014 +0100

     [jan] Fix fatal error in LDAP account portal block (Bug #12910).

  horde/docs/CHANGES |    1 +
  horde/package.xml  |    2 ++
  2 files changed, 3 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/4ab34a3e759eb1ff51fd58e602e3fffd912bc3d2
2014-03-22 13:11:38 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_1):

commit 9716784f0f68d7e6fe0fc07063cd8f33c8ab15ed
Author: Jan Schneider <jan@horde.org>
Date:   Fri Mar 21 14:55:09 2014 +0100

     Fix fatal error (Bug #12910).

  horde/lib/Block/Account/Ldap.php |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/9716784f0f68d7e6fe0fc07063cd8f33c8ab15ed
2014-03-21 13:55:36 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit 10318d7934f626c6480558236d06f470804ec73d
Author: Jan Schneider <jan@horde.org>
Date:   Fri Mar 21 14:55:09 2014 +0100

     Fix fatal error (Bug #12910).

  horde/lib/Block/Account/Ldap.php |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/10318d7934f626c6480558236d06f470804ec73d
2014-01-09 11:00:27 thomas (dot) michel (at) vermessung-michel (dot) de Comment #2 Reply to this comment
Hi,

addtional Iinformation: It seems the error happens only when the user 
adds  the "Acoount Information" as a portal block. After deleting the 
portal_layout data of the affected user from the mysql database, the 
portal is shown as expected.
2014-01-09 10:53:07 thomas (dot) michel (at) vermessung-michel (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ PHP Fatal Error using LDAP Account backend
Queue ⇒ Horde Groupware
Milestone ⇒
Patch ⇒ No
Reply to this comment
We use Horde with Samba4 Ldap backend. When logging into horde, apche 
logs the following entry in ssl_error.log:
  PHP Fatal error:  Cannot use object of type Horde_Ldap_Entry as 
array in /var/www/html/horde/lib/Block/Account/Ldap.php on line 205

In ssl_access.log I get the error GET /horde/services/portal/ 
HTTP/1.1" 500 20, the client shows only a blank page. Only the portal 
seems to be affected, when I enter https://myserver/horde/imp in the 
browser, everything works fine.

Saved Queries